Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
sauce::Binder Class Reference

Passed to modules to create bindings. More...

`#include <sauce/binder.h>`

Inheritance diagram for sauce::Binder:

## Public Member Functions
template<typename Iface >
BindClause< Iface > | bind ()
| Begin binding the chosen interface.
Public Member Functions inherited from sauce::internal::PendingThrower
template<typename Exception >
void | throwLater ()
| Save an exception of the given type to throw when it is safe. More...
void | throwAnyPending ()
| Throw and clear any saved exception.
PendingThrow | clear ()
| Clear and return any saved exception. More...

## Friends
class | Modules

## Detailed Description

Passed to modules to create bindings.

The documentation for this class was generated from the following file:

- sauce/binder.h